Blame test/api/Makefile.in

Packit Service 688f9c
# Makefile.in generated by automake 1.16.1 from Makefile.am.
Packit 874993
# @configure_input@
Packit 874993
Packit Service 688f9c
# Copyright (C) 1994-2018 Free Software Foundation, Inc.
Packit 874993
Packit 874993
# This Makefile.in is free software; the Free Software Foundation
Packit 874993
# gives unlimited permission to copy and/or distribute it,
Packit 874993
# with or without modifications, as long as this notice is preserved.
Packit 874993
Packit 874993
# This program is distributed in the hope that it will be useful,
Packit 874993
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit 874993
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit 874993
# PARTICULAR PURPOSE.
Packit 874993
Packit 874993
@SET_MAKE@
Packit 874993
Packit 874993
# Process this file with automake to produce Makefile.in
Packit 874993
Packit 874993
VPATH = @srcdir@
Packit Service 688f9c
am__is_gnu_make = { \
Packit Service 688f9c
  if test -z '$(MAKELEVEL)'; then \
Packit Service 688f9c
    false; \
Packit Service 688f9c
  elif test -n '$(MAKE_HOST)'; then \
Packit Service 688f9c
    true; \
Packit Service 688f9c
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
Packit Service 688f9c
    true; \
Packit Service 688f9c
  else \
Packit Service 688f9c
    false; \
Packit Service 688f9c
  fi; \
Packit Service 688f9c
}
Packit 874993
am__make_running_with_option = \
Packit 874993
  case $${target_option-} in \
Packit 874993
      ?) ;; \
Packit 874993
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit 874993
              "target option '$${target_option-}' specified" >&2; \
Packit 874993
         exit 1;; \
Packit 874993
  esac; \
Packit 874993
  has_opt=no; \
Packit 874993
  sane_makeflags=$$MAKEFLAGS; \
Packit 874993
  if $(am__is_gnu_make); then \
Packit 874993
    sane_makeflags=$$MFLAGS; \
Packit 874993
  else \
Packit 874993
    case $$MAKEFLAGS in \
Packit 874993
      *\\[\ \	]*) \
Packit 874993
        bs=\\; \
Packit 874993
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit 874993
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit 874993
    esac; \
Packit 874993
  fi; \
Packit 874993
  skip_next=no; \
Packit 874993
  strip_trailopt () \
Packit 874993
  { \
Packit 874993
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit 874993
  }; \
Packit 874993
  for flg in $$sane_makeflags; do \
Packit 874993
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit 874993
    case $$flg in \
Packit 874993
      *=*|--*) continue;; \
Packit 874993
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit 874993
      -*I?*) strip_trailopt 'I';; \
Packit 874993
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit 874993
      -*O?*) strip_trailopt 'O';; \
Packit 874993
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit 874993
      -*l?*) strip_trailopt 'l';; \
Packit 874993
      -[dEDm]) skip_next=yes;; \
Packit 874993
      -[JT]) skip_next=yes;; \
Packit 874993
    esac; \
Packit 874993
    case $$flg in \
Packit 874993
      *$$target_option*) has_opt=yes; break;; \
Packit 874993
    esac; \
Packit 874993
  done; \
Packit 874993
  test $$has_opt = yes
Packit 874993
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit 874993
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit 874993
pkgdatadir = $(datadir)/@PACKAGE@
Packit 874993
pkgincludedir = $(includedir)/@PACKAGE@
Packit 874993
pkglibdir = $(libdir)/@PACKAGE@
Packit 874993
pkglibexecdir = $(libexecdir)/@PACKAGE@
Packit 874993
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit 874993
install_sh_DATA = $(install_sh) -c -m 644
Packit 874993
install_sh_PROGRAM = $(install_sh) -c
Packit 874993
install_sh_SCRIPT = $(install_sh) -c
Packit 874993
INSTALL_HEADER = $(INSTALL_DATA)
Packit 874993
transform = $(program_transform_name)
Packit 874993
NORMAL_INSTALL = :
Packit 874993
PRE_INSTALL = :
Packit 874993
POST_INSTALL = :
Packit 874993
NORMAL_UNINSTALL = :
Packit 874993
PRE_UNINSTALL = :
Packit 874993
POST_UNINSTALL = :
Packit 874993
build_triplet = @build@
Packit 874993
host_triplet = @host@
Packit 874993
@HAVE_GLIB_TRUE@am__append_1 = hb-test.h
Packit 874993
@HAVE_GLIB_TRUE@check_PROGRAMS = $(am__EXEEXT_4)
Packit 874993
@HAVE_GLIB_TRUE@noinst_PROGRAMS = $(am__EXEEXT_4)
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@am__append_2 = $(ICU_CFLAGS)
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@am__append_3 = $(top_builddir)/src/libharfbuzz-icu.la $(ICU_LIBS)
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@am__append_4 = \
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	test-ot-tag \
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(NULL)
Packit 874993
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@am__append_5 = \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	test-ot-math \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(NULL)
Packit 874993
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@am__append_6 = \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontEmpty.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontFull.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontNone.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontPartial1.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontPartial2.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontPartial3.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	fonts/MathTestFontPartial4.otf \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(NULL)
Packit 874993
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@am__append_7 = $(ICU_CFLAGS)
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@am__append_8 = $(ICU_CFLAGS)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@am__append_9 = $(FREETYPE_CFLAGS)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@am__append_10 = $(FREETYPE_CFLAGS)
Packit 874993
@HAVE_GLIB_TRUE@TESTS = $(am__EXEEXT_4)
Packit 874993
#	Can't do for now: --show-reachable=yes
Packit 874993
@HAVE_GLIB_TRUE@am__append_11 = log-valgrind.txt symbols-tested.txt \
Packit 874993
@HAVE_GLIB_TRUE@	symbols-exported.txt symbols-untested.txt
Packit 874993
subdir = test/api
Packit 874993
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit 874993
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
Packit 874993
	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
Packit 874993
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
Packit 874993
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
Packit 874993
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
Packit 874993
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit 874993
	$(ACLOCAL_M4)
Packit Service 688f9c
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
Packit 874993
mkinstalldirs = $(install_sh) -d
Packit 874993
CONFIG_HEADER = $(top_builddir)/config.h
Packit 874993
CONFIG_CLEAN_FILES =
Packit 874993
CONFIG_CLEAN_VPATH_FILES =
Packit 874993
am__EXEEXT_1 =
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@am__EXEEXT_2 = test-ot-tag$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(am__EXEEXT_1)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@am__EXEEXT_3 = test-ot-math$(EXEEXT) \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(am__EXEEXT_1)
Packit 874993
@HAVE_GLIB_TRUE@am__EXEEXT_4 = test-blob$(EXEEXT) test-buffer$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@	test-common$(EXEEXT) test-font$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@	test-object$(EXEEXT) test-set$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@	test-shape$(EXEEXT) test-unicode$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@	test-version$(EXEEXT) $(am__EXEEXT_1) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__EXEEXT_2) $(am__EXEEXT_3) \
Packit 874993
@HAVE_GLIB_TRUE@	test-c$(EXEEXT) test-cplusplus$(EXEEXT) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__EXEEXT_1)
Packit 874993
PROGRAMS = $(noinst_PROGRAMS)
Packit 874993
test_blob_SOURCES = test-blob.c
Packit 874993
test_blob_OBJECTS = test-blob.$(OBJEXT)
Packit 874993
test_blob_LDADD = $(LDADD)
Packit 874993
am__DEPENDENCIES_1 =
Packit 874993
@HAVE_GLIB_TRUE@test_blob_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
AM_V_lt = $(am__v_lt_@AM_V@)
Packit 874993
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
Packit 874993
am__v_lt_0 = --silent
Packit 874993
am__v_lt_1 = 
Packit 874993
test_buffer_SOURCES = test-buffer.c
Packit 874993
test_buffer_OBJECTS = test-buffer.$(OBJEXT)
Packit 874993
test_buffer_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_buffer_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_c_SOURCES = test-c.c
Packit 874993
test_c_OBJECTS = test_c-test-c.$(OBJEXT)
Packit 874993
test_c_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_c_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_common_SOURCES = test-common.c
Packit 874993
test_common_OBJECTS = test-common.$(OBJEXT)
Packit 874993
test_common_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_common_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
am__test_cplusplus_SOURCES_DIST = test-cplusplus.cc
Packit 874993
@HAVE_GLIB_TRUE@am_test_cplusplus_OBJECTS =  \
Packit 874993
@HAVE_GLIB_TRUE@	test_cplusplus-test-cplusplus.$(OBJEXT)
Packit 874993
test_cplusplus_OBJECTS = $(am_test_cplusplus_OBJECTS)
Packit 874993
test_cplusplus_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_cplusplus_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_font_SOURCES = test-font.c
Packit 874993
test_font_OBJECTS = test-font.$(OBJEXT)
Packit 874993
test_font_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_font_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_object_SOURCES = test-object.c
Packit 874993
test_object_OBJECTS = test-object.$(OBJEXT)
Packit 874993
test_object_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_object_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_ot_math_SOURCES = test-ot-math.c
Packit 874993
test_ot_math_OBJECTS = test_ot_math-test-ot-math.$(OBJEXT)
Packit 874993
@HAVE_GLIB_TRUE@am__DEPENDENCIES_2 =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@test_ot_math_DEPENDENCIES = $(am__DEPENDENCIES_2) \
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_ot_tag_SOURCES = test-ot-tag.c
Packit 874993
test_ot_tag_OBJECTS = test-ot-tag.$(OBJEXT)
Packit 874993
test_ot_tag_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_ot_tag_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_set_SOURCES = test-set.c
Packit 874993
test_set_OBJECTS = test-set.$(OBJEXT)
Packit 874993
test_set_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_set_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_shape_SOURCES = test-shape.c
Packit 874993
test_shape_OBJECTS = test-shape.$(OBJEXT)
Packit 874993
test_shape_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_shape_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
test_unicode_SOURCES = test-unicode.c
Packit 874993
test_unicode_OBJECTS = test_unicode-test-unicode.$(OBJEXT)
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@am__DEPENDENCIES_3 = $(top_builddir)/src/libharfbuzz-icu.la \
Packit 874993
@HAVE_GLIB_TRUE@@HAVE_ICU_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
@HAVE_GLIB_TRUE@test_unicode_DEPENDENCIES = $(am__DEPENDENCIES_2) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_3)
Packit 874993
test_version_SOURCES = test-version.c
Packit 874993
test_version_OBJECTS = test-version.$(OBJEXT)
Packit 874993
test_version_LDADD = $(LDADD)
Packit 874993
@HAVE_GLIB_TRUE@test_version_DEPENDENCIES =  \
Packit 874993
@HAVE_GLIB_TRUE@	$(top_builddir)/src/libharfbuzz.la \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
Packit 874993
AM_V_P = $(am__v_P_@AM_V@)
Packit 874993
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
Packit 874993
am__v_P_0 = false
Packit 874993
am__v_P_1 = :
Packit 874993
AM_V_GEN = $(am__v_GEN_@AM_V@)
Packit 874993
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
Packit 874993
am__v_GEN_0 = @echo "  GEN     " $@;
Packit 874993
am__v_GEN_1 = 
Packit 874993
AM_V_at = $(am__v_at_@AM_V@)
Packit 874993
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
Packit 874993
am__v_at_0 = @
Packit 874993
am__v_at_1 = 
Packit 874993
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
Packit 874993
depcomp = $(SHELL) $(top_srcdir)/depcomp
Packit Service 688f9c
am__maybe_remake_depfiles = depfiles
Packit Service 688f9c
am__depfiles_remade = ./$(DEPDIR)/test-blob.Po \
Packit Service 688f9c
	./$(DEPDIR)/test-buffer.Po ./$(DEPDIR)/test-common.Po \
Packit Service 688f9c
	./$(DEPDIR)/test-font.Po ./$(DEPDIR)/test-object.Po \
Packit Service 688f9c
	./$(DEPDIR)/test-ot-tag.Po ./$(DEPDIR)/test-set.Po \
Packit Service 688f9c
	./$(DEPDIR)/test-shape.Po ./$(DEPDIR)/test-version.Po \
Packit Service 688f9c
	./$(DEPDIR)/test_c-test-c.Po \
Packit Service 688f9c
	./$(DEPDIR)/test_cplusplus-test-cplusplus.Po \
Packit Service 688f9c
	./$(DEPDIR)/test_ot_math-test-ot-math.Po \
Packit Service 688f9c
	./$(DEPDIR)/test_unicode-test-unicode.Po
Packit 874993
am__mv = mv -f
Packit 874993
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
Packit 874993
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
Packit 874993
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit 874993
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
Packit 874993
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
Packit 874993
	$(AM_CFLAGS) $(CFLAGS)
Packit 874993
AM_V_CC = $(am__v_CC_@AM_V@)
Packit 874993
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
Packit 874993
am__v_CC_0 = @echo "  CC      " $@;
Packit 874993
am__v_CC_1 = 
Packit 874993
CCLD = $(CC)
Packit 874993
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
Packit 874993
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
Packit 874993
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
Packit 874993
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
Packit 874993
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
Packit 874993
am__v_CCLD_0 = @echo "  CCLD    " $@;
Packit 874993
am__v_CCLD_1 = 
Packit 874993
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
Packit 874993
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
Packit 874993
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
Packit 874993
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
Packit 874993
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
Packit 874993
	$(AM_CXXFLAGS) $(CXXFLAGS)
Packit 874993
AM_V_CXX = $(am__v_CXX_@AM_V@)
Packit 874993
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
Packit 874993
am__v_CXX_0 = @echo "  CXX     " $@;
Packit 874993
am__v_CXX_1 = 
Packit 874993
CXXLD = $(CXX)
Packit 874993
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
Packit 874993
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
Packit 874993
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
Packit 874993
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
Packit 874993
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
Packit 874993
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
Packit 874993
am__v_CXXLD_1 = 
Packit 874993
SOURCES = test-blob.c test-buffer.c test-c.c test-common.c \
Packit 874993
	$(test_cplusplus_SOURCES) test-font.c test-object.c \
Packit 874993
	test-ot-math.c test-ot-tag.c test-set.c test-shape.c \
Packit 874993
	test-unicode.c test-version.c
Packit 874993
DIST_SOURCES = test-blob.c test-buffer.c test-c.c test-common.c \
Packit 874993
	$(am__test_cplusplus_SOURCES_DIST) test-font.c test-object.c \
Packit 874993
	test-ot-math.c test-ot-tag.c test-set.c test-shape.c \
Packit 874993
	test-unicode.c test-version.c
Packit 874993
am__can_run_installinfo = \
Packit 874993
  case $$AM_UPDATE_INFO_DIR in \
Packit 874993
    n|no|NO) false;; \
Packit 874993
    *) (install-info --version) >/dev/null 2>&1;; \
Packit 874993
  esac
Packit 874993
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit 874993
# Read a list of newline-separated strings from the standard input,
Packit 874993
# and print each of them once, without duplicates.  Input order is
Packit 874993
# *not* preserved.
Packit 874993
am__uniquify_input = $(AWK) '\
Packit 874993
  BEGIN { nonempty = 0; } \
Packit 874993
  { items[$$0] = 1; nonempty = 1; } \
Packit 874993
  END { if (nonempty) { for (i in items) print i; }; } \
Packit 874993
'
Packit 874993
# Make sure the list of sources is unique.  This is necessary because,
Packit 874993
# e.g., the same source file might be shared among _SOURCES variables
Packit 874993
# for different programs/libraries.
Packit 874993
am__define_uniq_tagged_files = \
Packit 874993
  list='$(am__tagged_files)'; \
Packit 874993
  unique=`for i in $$list; do \
Packit 874993
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
Packit 874993
  done | $(am__uniquify_input)`
Packit 874993
ETAGS = etags
Packit 874993
CTAGS = ctags
Packit 874993
am__tty_colors_dummy = \
Packit 874993
  mgn= red= grn= lgn= blu= brg= std=; \
Packit 874993
  am__color_tests=no
Packit 874993
am__tty_colors = { \
Packit 874993
  $(am__tty_colors_dummy); \
Packit 874993
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
Packit 874993
    am__color_tests=no; \
Packit 874993
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
Packit 874993
    am__color_tests=yes; \
Packit 874993
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
Packit 874993
    am__color_tests=yes; \
Packit 874993
  fi; \
Packit 874993
  if test $$am__color_tests = yes; then \
Packit 874993
    red='?[0;31m'; \
Packit 874993
    grn='?[0;32m'; \
Packit 874993
    lgn='?[1;32m'; \
Packit 874993
    blu='?[1;34m'; \
Packit 874993
    mgn='?[0;35m'; \
Packit 874993
    brg='?[1m'; \
Packit 874993
    std='?[m'; \
Packit 874993
  fi; \
Packit 874993
}
Packit 874993
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit 874993
am__vpath_adj = case $$p in \
Packit 874993
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit 874993
    *) f=$$p;; \
Packit 874993
  esac;
Packit 874993
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit 874993
am__install_max = 40
Packit 874993
am__nobase_strip_setup = \
Packit 874993
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit 874993
am__nobase_strip = \
Packit 874993
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit 874993
am__nobase_list = $(am__nobase_strip_setup); \
Packit 874993
  for p in $$list; do echo "$$p $$p"; done | \
Packit 874993
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit 874993
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit 874993
    if (++n[$$2] == $(am__install_max)) \
Packit 874993
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit 874993
    END { for (dir in files) print dir, files[dir] }'
Packit 874993
am__base_list = \
Packit 874993
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit 874993
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit 874993
am__uninstall_files_from_dir = { \
Packit 874993
  test -z "$$files" \
Packit 874993
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit 874993
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit 874993
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit 874993
  }
Packit 874993
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
Packit 874993
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
Packit 874993
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
Packit 874993
# A command that, given a newline-separated list of test names on the
Packit 874993
# standard input, print the name of the tests that are to be re-run
Packit 874993
# upon "make recheck".
Packit 874993
am__list_recheck_tests = $(AWK) '{ \
Packit 874993
  recheck = 1; \
Packit 874993
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit 874993
    { \
Packit 874993
      if (rc < 0) \
Packit 874993
        { \
Packit 874993
          if ((getline line2 < ($$0 ".log")) < 0) \
Packit 874993
	    recheck = 0; \
Packit 874993
          break; \
Packit 874993
        } \
Packit 874993
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
Packit 874993
        { \
Packit 874993
          recheck = 0; \
Packit 874993
          break; \
Packit 874993
        } \
Packit 874993
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
Packit 874993
        { \
Packit 874993
          break; \
Packit 874993
        } \
Packit 874993
    }; \
Packit 874993
  if (recheck) \
Packit 874993
    print $$0; \
Packit 874993
  close ($$0 ".trs"); \
Packit 874993
  close ($$0 ".log"); \
Packit 874993
}'
Packit 874993
# A command that, given a newline-separated list of test names on the
Packit 874993
# standard input, create the global log from their .trs and .log files.
Packit 874993
am__create_global_log = $(AWK) ' \
Packit 874993
function fatal(msg) \
Packit 874993
{ \
Packit 874993
  print "fatal: making $@: " msg | "cat >&2;; \
Packit 874993
  exit 1; \
Packit 874993
} \
Packit 874993
function rst_section(header) \
Packit 874993
{ \
Packit 874993
  print header; \
Packit 874993
  len = length(header); \
Packit 874993
  for (i = 1; i <= len; i = i + 1) \
Packit 874993
    printf "="; \
Packit 874993
  printf "\n\n"; \
Packit 874993
} \
Packit 874993
{ \
Packit 874993
  copy_in_global_log = 1; \
Packit 874993
  global_test_result = "RUN"; \
Packit 874993
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
Packit 874993
    { \
Packit 874993
      if (rc < 0) \
Packit 874993
         fatal("failed to read from " $$0 ".trs"); \
Packit 874993
      if (line ~ /$(am__global_test_result_rx)/) \
Packit 874993
        { \
Packit 874993
          sub("$(am__global_test_result_rx)", "", line); \
Packit 874993
          sub("[ 	]*$$", "", line); \
Packit 874993
          global_test_result = line; \
Packit 874993
        } \
Packit 874993
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
Packit 874993
        copy_in_global_log = 0; \
Packit 874993
    }; \
Packit 874993
  if (copy_in_global_log) \
Packit 874993
    { \
Packit 874993
      rst_section(global_test_result ": " $$0); \
Packit 874993
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
Packit 874993
      { \
Packit 874993
        if (rc < 0) \
Packit 874993
          fatal("failed to read from " $$0 ".log"); \
Packit 874993
        print line; \
Packit 874993
      }; \
Packit 874993
      printf "\n"; \
Packit 874993
    }; \
Packit 874993
  close ($$0 ".trs"); \
Packit 874993
  close ($$0 ".log"); \
Packit 874993
}'
Packit 874993
# Restructured Text title.
Packit 874993
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
Packit 874993
# Solaris 10 'make', and several other traditional 'make' implementations,
Packit 874993
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
Packit 874993
# by disabling -e (using the XSI extension "set +e") if it's set.
Packit 874993
am__sh_e_setup = case $$- in *e*) set +e;; esac
Packit 874993
# Default flags passed to test drivers.
Packit 874993
am__common_driver_flags = \
Packit 874993
  --color-tests "$$am__color_tests" \
Packit 874993
  --enable-hard-errors "$$am__enable_hard_errors" \
Packit 874993
  --expect-failure "$$am__expect_failure"
Packit 874993
# To be inserted before the command running the test.  Creates the
Packit 874993
# directory for the log if needed.  Stores in $dir the directory
Packit 874993
# containing $f, in $tst the test, in $log the log.  Executes the
Packit 874993
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
Packit 874993
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
Packit 874993
# will run the test scripts (or their associated LOG_COMPILER, if
Packit 874993
# thy have one).
Packit 874993
am__check_pre = \
Packit 874993
$(am__sh_e_setup);					\
Packit 874993
$(am__vpath_adj_setup) $(am__vpath_adj)			\
Packit 874993
$(am__tty_colors);					\
Packit 874993
srcdir=$(srcdir); export srcdir;			\
Packit 874993
case "$@" in						\
Packit 874993
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
Packit 874993
    *) am__odir=.;; 					\
Packit 874993
esac;							\
Packit 874993
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
Packit 874993
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
Packit 874993
if test -f "./$$f"; then dir=./;			\
Packit 874993
elif test -f "$$f"; then dir=;				\
Packit 874993
else dir="$(srcdir)/"; fi;				\
Packit 874993
tst=$$dir$$f; log='$@'; 				\
Packit 874993
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
Packit 874993
  am__enable_hard_errors=no; 				\
Packit 874993
else							\
Packit 874993
  am__enable_hard_errors=yes; 				\
Packit 874993
fi; 							\
Packit 874993
case " $(XFAIL_TESTS) " in				\
Packit 874993
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
Packit 874993
    am__expect_failure=yes;;				\
Packit 874993
  *)							\
Packit 874993
    am__expect_failure=no;;				\
Packit 874993
esac; 							\
Packit 874993
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
Packit 874993
# A shell command to get the names of the tests scripts with any registered
Packit 874993
# extension removed (i.e., equivalently, the names of the test logs, with
Packit 874993
# the '.log' extension removed).  The result is saved in the shell variable
Packit 874993
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
Packit 874993
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
Packit 874993
# since that might cause problem with VPATH rewrites for suffix-less tests.
Packit 874993
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
Packit 874993
am__set_TESTS_bases = \
Packit 874993
  bases='$(TEST_LOGS)'; \
Packit 874993
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
Packit 874993
  bases=`echo $$bases`
Packit 874993
RECHECK_LOGS = $(TEST_LOGS)
Packit 874993
AM_RECURSIVE_TARGETS = check recheck
Packit 874993
TEST_SUITE_LOG = test-suite.log
Packit 874993
TEST_EXTENSIONS = @EXEEXT@ .test
Packit 874993
LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit 874993
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
Packit 874993
am__set_b = \
Packit 874993
  case '$@' in \
Packit 874993
    */*) \
Packit 874993
      case '$*' in \
Packit 874993
        */*) b='$*';; \
Packit 874993
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
Packit 874993
       esac;; \
Packit 874993
    *) \
Packit 874993
      b='$*';; \
Packit 874993
  esac
Packit 874993
am__test_logs1 = $(TESTS:=.log)
Packit 874993
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
Packit 874993
TEST_LOGS = $(am__test_logs2:.test.log=.log)
Packit 874993
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
Packit 874993
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
Packit 874993
	$(TEST_LOG_FLAGS)
Packit Service 688f9c
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
Packit Service 688f9c
	$(top_srcdir)/test-driver
Packit 874993
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit 874993
ACLOCAL = @ACLOCAL@
Packit 874993
AMTAR = @AMTAR@
Packit 874993
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
Packit 874993
AR = @AR@
Packit 874993
AUTOCONF = @AUTOCONF@
Packit 874993
AUTOHEADER = @AUTOHEADER@
Packit 874993
AUTOMAKE = @AUTOMAKE@
Packit 874993
AWK = @AWK@
Packit 874993
CAIRO_CFLAGS = @CAIRO_CFLAGS@
Packit 874993
CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
Packit 874993
CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
Packit 874993
CAIRO_LIBS = @CAIRO_LIBS@
Packit 874993
CC = @CC@
Packit 874993
CCDEPMODE = @CCDEPMODE@
Packit 874993
CFLAGS = @CFLAGS@
Packit 874993
CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
Packit 874993
CORETEXT_LIBS = @CORETEXT_LIBS@
Packit 874993
CPP = @CPP@
Packit 874993
CPPFLAGS = @CPPFLAGS@
Packit 874993
CXX = @CXX@
Packit 874993
CXXCPP = @CXXCPP@
Packit 874993
CXXDEPMODE = @CXXDEPMODE@
Packit 874993
CXXFLAGS = @CXXFLAGS@
Packit 874993
CYGPATH_W = @CYGPATH_W@
Packit 874993
DEFS = @DEFS@
Packit 874993
DEPDIR = @DEPDIR@
Packit 874993
DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
Packit 874993
DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
Packit 874993
DLLTOOL = @DLLTOOL@
Packit 874993
DSYMUTIL = @DSYMUTIL@
Packit 874993
DUMPBIN = @DUMPBIN@
Packit 874993
ECHO_C = @ECHO_C@
Packit 874993
ECHO_N = @ECHO_N@
Packit 874993
ECHO_T = @ECHO_T@
Packit 874993
EGREP = @EGREP@
Packit 874993
EXEEXT = @EXEEXT@
Packit 874993
FGREP = @FGREP@
Packit 874993
FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
Packit 874993
FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
Packit 874993
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
Packit 874993
FREETYPE_DEPS = @FREETYPE_DEPS@
Packit 874993
FREETYPE_LIBS = @FREETYPE_LIBS@
Packit Service 688f9c
GENDEF = @GENDEF@
Packit 874993
GIT = @GIT@
Packit 874993
GLIB_CFLAGS = @GLIB_CFLAGS@
Packit 874993
GLIB_DEPS = @GLIB_DEPS@
Packit 874993
GLIB_LIBS = @GLIB_LIBS@
Packit 874993
GLIB_MKENUMS = @GLIB_MKENUMS@
Packit 874993
GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
Packit 874993
GOBJECT_LIBS = @GOBJECT_LIBS@
Packit 874993
GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
Packit 874993
GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
Packit 874993
GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
Packit 874993
GREP = @GREP@
Packit 874993
GTKDOC_CHECK = @GTKDOC_CHECK@
Packit 874993
GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
Packit 874993
GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
Packit 874993
GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
Packit 874993
GTKDOC_MKPDF = @GTKDOC_MKPDF@
Packit 874993
GTKDOC_REBASE = @GTKDOC_REBASE@
Packit 874993
HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
Packit 874993
HB_VERSION = @HB_VERSION@
Packit 874993
HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
Packit 874993
HB_VERSION_MICRO = @HB_VERSION_MICRO@
Packit 874993
HB_VERSION_MINOR = @HB_VERSION_MINOR@
Packit 874993
HTML_DIR = @HTML_DIR@
Packit 874993
ICU_CFLAGS = @ICU_CFLAGS@
Packit 874993
ICU_CONFIG = @ICU_CONFIG@
Packit 874993
ICU_LIBS = @ICU_LIBS@
Packit 874993
INSTALL = @INSTALL@
Packit 874993
INSTALL_DATA = @INSTALL_DATA@
Packit 874993
INSTALL_PROGRAM = @INSTALL_PROGRAM@
Packit 874993
INSTALL_SCRIPT = @INSTALL_SCRIPT@
Packit 874993
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
Packit 874993
LD = @LD@
Packit 874993
LDFLAGS = @LDFLAGS@
Packit 874993
LIBOBJS = @LIBOBJS@
Packit 874993
LIBS = @LIBS@
Packit 874993
LIBTOOL = @LIBTOOL@
Packit 874993
LIPO = @LIPO@
Packit 874993
LN_S = @LN_S@
Packit 874993
LTLIBOBJS = @LTLIBOBJS@
Packit Service 688f9c
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
Packit 874993
MAKEINFO = @MAKEINFO@
Packit 874993
MANIFEST_TOOL = @MANIFEST_TOOL@
Packit 874993
MKDIR_P = @MKDIR_P@
Packit 874993
NM = @NM@
Packit 874993
NMEDIT = @NMEDIT@
Packit 874993
OBJDUMP = @OBJDUMP@
Packit 874993
OBJEXT = @OBJEXT@
Packit 874993
OTOOL = @OTOOL@
Packit 874993
OTOOL64 = @OTOOL64@
Packit 874993
PACKAGE = @PACKAGE@
Packit 874993
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit 874993
PACKAGE_NAME = @PACKAGE_NAME@
Packit 874993
PACKAGE_STRING = @PACKAGE_STRING@
Packit 874993
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Packit 874993
PACKAGE_URL = @PACKAGE_URL@
Packit 874993
PACKAGE_VERSION = @PACKAGE_VERSION@
Packit 874993
PATH_SEPARATOR = @PATH_SEPARATOR@
Packit 874993
PKG_CONFIG = @PKG_CONFIG@
Packit 874993
PTHREAD_CC = @PTHREAD_CC@
Packit 874993
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
Packit 874993
PTHREAD_LIBS = @PTHREAD_LIBS@
Packit 874993
RAGEL = @RAGEL@
Packit 874993
RANLIB = @RANLIB@
Packit 874993
SED = @SED@
Packit 874993
SET_MAKE = @SET_MAKE@
Packit 874993
SHELL = @SHELL@
Packit 874993
STRIP = @STRIP@
Packit 874993
UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
Packit 874993
UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
Packit 874993
VERSION = @VERSION@
Packit 874993
abs_builddir = @abs_builddir@
Packit 874993
abs_srcdir = @abs_srcdir@
Packit 874993
abs_top_builddir = @abs_top_builddir@
Packit 874993
abs_top_srcdir = @abs_top_srcdir@
Packit 874993
ac_ct_AR = @ac_ct_AR@
Packit 874993
ac_ct_CC = @ac_ct_CC@
Packit 874993
ac_ct_CXX = @ac_ct_CXX@
Packit 874993
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
Packit 874993
am__include = @am__include@
Packit 874993
am__leading_dot = @am__leading_dot@
Packit 874993
am__quote = @am__quote@
Packit 874993
am__tar = @am__tar@
Packit 874993
am__untar = @am__untar@
Packit 874993
ax_pthread_config = @ax_pthread_config@
Packit 874993
bindir = @bindir@
Packit 874993
build = @build@
Packit 874993
build_alias = @build_alias@
Packit 874993
build_cpu = @build_cpu@
Packit 874993
build_os = @build_os@
Packit 874993
build_vendor = @build_vendor@
Packit 874993
builddir = @builddir@
Packit 874993
datadir = @datadir@
Packit 874993
datarootdir = @datarootdir@
Packit 874993
docdir = @docdir@
Packit 874993
dvidir = @dvidir@
Packit 874993
exec_prefix = @exec_prefix@
Packit 874993
host = @host@
Packit 874993
host_alias = @host_alias@
Packit 874993
host_cpu = @host_cpu@
Packit 874993
host_os = @host_os@
Packit 874993
host_vendor = @host_vendor@
Packit 874993
htmldir = @htmldir@
Packit 874993
includedir = @includedir@
Packit 874993
infodir = @infodir@
Packit 874993
install_sh = @install_sh@
Packit 874993
libdir = @libdir@
Packit 874993
libexecdir = @libexecdir@
Packit 874993
localedir = @localedir@
Packit 874993
localstatedir = @localstatedir@
Packit 874993
mandir = @mandir@
Packit 874993
mkdir_p = @mkdir_p@
Packit 874993
oldincludedir = @oldincludedir@
Packit 874993
pdfdir = @pdfdir@
Packit 874993
prefix = @prefix@
Packit 874993
program_transform_name = @program_transform_name@
Packit 874993
psdir = @psdir@
Packit 874993
sbindir = @sbindir@
Packit 874993
sharedstatedir = @sharedstatedir@
Packit 874993
srcdir = @srcdir@
Packit 874993
sysconfdir = @sysconfdir@
Packit 874993
target_alias = @target_alias@
Packit 874993
top_build_prefix = @top_build_prefix@
Packit 874993
top_builddir = @top_builddir@
Packit 874993
top_srcdir = @top_srcdir@
Packit 874993
NULL = 
Packit 874993
EXTRA_DIST = $(am__append_1) $(am__append_6)
Packit 874993
CLEANFILES = $(am__append_11)
Packit 874993
DISTCLEANFILES = 
Packit 874993
MAINTAINERCLEANFILES = 
Packit 874993
@HAVE_GLIB_TRUE@AM_CPPFLAGS = -DSRCDIR="\"$(srcdir)\"" -I$(top_srcdir)/src/ -I$(top_builddir)/src/ $(GLIB_CFLAGS)
Packit 874993
@HAVE_GLIB_TRUE@LDADD = $(top_builddir)/src/libharfbuzz.la $(GLIB_LIBS)
Packit 874993
Packit 874993
# Tests for header compilation
Packit 874993
@HAVE_GLIB_TRUE@TEST_PROGS = test-blob test-buffer test-common \
Packit 874993
@HAVE_GLIB_TRUE@	test-font test-object test-set test-shape \
Packit 874993
@HAVE_GLIB_TRUE@	test-unicode test-version $(NULL) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__append_4) $(am__append_5) test-c \
Packit 874993
@HAVE_GLIB_TRUE@	test-cplusplus $(NULL)
Packit 874993
@HAVE_GLIB_TRUE@test_unicode_CPPFLAGS = $(AM_CPPFLAGS) $(GLIB_CFLAGS) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__append_2)
Packit 874993
@HAVE_GLIB_TRUE@test_unicode_LDADD = $(LDADD) $(am__append_3)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@test_ot_math_LDADD = $(LDADD) $(FREETYPE_LIBS)
Packit 874993
@HAVE_FREETYPE_TRUE@@HAVE_GLIB_TRUE@@HAVE_OT_TRUE@test_ot_math_CPPFLAGS = $(AM_CPPFLAGS) $(FREETYPE_CFLAGS)
Packit 874993
@HAVE_GLIB_TRUE@test_cplusplus_SOURCES = test-cplusplus.cc
Packit 874993
@HAVE_GLIB_TRUE@test_c_CPPFLAGS = $(AM_CPPFLAGS) $(am__append_7) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__append_9)
Packit 874993
@HAVE_GLIB_TRUE@test_cplusplus_CPPFLAGS = $(AM_CPPFLAGS) \
Packit 874993
@HAVE_GLIB_TRUE@	$(am__append_8) $(am__append_10)
Packit 874993
@HAVE_GLIB_TRUE@TESTS_ENVIRONMENT = \
Packit 874993
@HAVE_GLIB_TRUE@	MALLOC_CHECK_=2 \
Packit 874993
@HAVE_GLIB_TRUE@	MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256)) \
Packit 874993
@HAVE_GLIB_TRUE@	G_DEBUG=gc-friendly \
Packit 874993
@HAVE_GLIB_TRUE@	G_SLICE=always-malloc \
Packit 874993
@HAVE_GLIB_TRUE@	srcdir=$(srcdir) \
Packit 874993
@HAVE_GLIB_TRUE@	G_TEST_SRCDIR=$(abs_srcdir) \
Packit 874993
@HAVE_GLIB_TRUE@	G_TEST_BUILDDIR=$(abs_builddir) \
Packit 874993
@HAVE_GLIB_TRUE@	$(NULL)
Packit 874993
Packit 874993
Packit 874993
# check-gtester: Run tests under gtester
Packit 874993
@HAVE_GLIB_TRUE@GTESTER = gtester
Packit 874993
Packit 874993
# Check tests under valgrind.  Saves log to log-valgrind.txt
Packit 874993
@HAVE_GLIB_TRUE@VALGRIND_FLAGS = \
Packit 874993
@HAVE_GLIB_TRUE@	--tool=memcheck --suppressions=$(srcdir)/.valgrind-suppressions \
Packit 874993
@HAVE_GLIB_TRUE@	--track-origins=yes \
Packit 874993
@HAVE_GLIB_TRUE@	--leak-check=yes
Packit 874993
Packit 874993
@HAVE_GLIB_TRUE@valgrind_verbose = $(valgrind_verbose_@AM_V@)
Packit 874993
@HAVE_GLIB_TRUE@valgrind_verbose_ = $(valgrind_verbose_@AM_DEFAULT_V@)
Packit 874993
@HAVE_GLIB_TRUE@valgrind_verbose_0 = | \
Packit 874993
@HAVE_GLIB_TRUE@	grep '\(^[^=]\|ERROR SUMMARY\|definitely lost\|indirectly lost\)' | grep -v ': 0'
Packit 874993
Packit 874993
all: all-am
Packit 874993
Packit 874993
.SUFFIXES:
Packit 874993
.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
Packit 874993
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
Packit 874993
	@for dep in $?; do \
Packit 874993
	  case '$(am__configure_deps)' in \
Packit 874993
	    *$$dep*) \
Packit 874993
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
Packit 874993
	        && { if test -f $@; then exit 0; else break; fi; }; \
Packit 874993
	      exit 1;; \
Packit 874993
	  esac; \
Packit 874993
	done; \
Packit 874993
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/api/Makefile'; \
Packit 874993
	$(am__cd) $(top_srcdir) && \
Packit 874993
	  $(AUTOMAKE) --gnits test/api/Makefile
Packit 874993
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit 874993
	@case '$?' in \
Packit 874993
	  *config.status*) \
Packit 874993
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
Packit 874993
	  *) \
Packit Service 688f9c
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
Packit Service 688f9c
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
Packit 874993
	esac;
Packit 874993
Packit 874993
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit 874993
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 874993
Packit 874993
$(top_srcdir)/configure:  $(am__configure_deps)
Packit 874993
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 874993
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
Packit 874993
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Packit 874993
$(am__aclocal_m4_deps):
Packit 874993
Packit 874993
clean-checkPROGRAMS:
Packit 874993
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
Packit 874993
	echo " rm -f" $$list; \
Packit 874993
	rm -f $$list || exit $$?; \
Packit 874993
	test -n "$(EXEEXT)" || exit 0; \
Packit 874993
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
Packit 874993
	echo " rm -f" $$list; \
Packit 874993
	rm -f $$list
Packit 874993
Packit 874993
clean-noinstPROGRAMS:
Packit 874993
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
Packit 874993
	echo " rm -f" $$list; \
Packit 874993
	rm -f $$list || exit $$?; \
Packit 874993
	test -n "$(EXEEXT)" || exit 0; \
Packit 874993
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
Packit 874993
	echo " rm -f" $$list; \
Packit 874993
	rm -f $$list
Packit 874993
Packit 874993
test-blob$(EXEEXT): $(test_blob_OBJECTS) $(test_blob_DEPENDENCIES) $(EXTRA_test_blob_DEPENDENCIES) 
Packit 874993
	@rm -f test-blob$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_blob_OBJECTS) $(test_blob_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-buffer$(EXEEXT): $(test_buffer_OBJECTS) $(test_buffer_DEPENDENCIES) $(EXTRA_test_buffer_DEPENDENCIES) 
Packit 874993
	@rm -f test-buffer$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_buffer_OBJECTS) $(test_buffer_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-c$(EXEEXT): $(test_c_OBJECTS) $(test_c_DEPENDENCIES) $(EXTRA_test_c_DEPENDENCIES) 
Packit 874993
	@rm -f test-c$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_c_OBJECTS) $(test_c_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-common$(EXEEXT): $(test_common_OBJECTS) $(test_common_DEPENDENCIES) $(EXTRA_test_common_DEPENDENCIES) 
Packit 874993
	@rm -f test-common$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_common_OBJECTS) $(test_common_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-cplusplus$(EXEEXT): $(test_cplusplus_OBJECTS) $(test_cplusplus_DEPENDENCIES) $(EXTRA_test_cplusplus_DEPENDENCIES) 
Packit 874993
	@rm -f test-cplusplus$(EXEEXT)
Packit 874993
	$(AM_V_CXXLD)$(CXXLINK) $(test_cplusplus_OBJECTS) $(test_cplusplus_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-font$(EXEEXT): $(test_font_OBJECTS) $(test_font_DEPENDENCIES) $(EXTRA_test_font_DEPENDENCIES) 
Packit 874993
	@rm -f test-font$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_font_OBJECTS) $(test_font_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-object$(EXEEXT): $(test_object_OBJECTS) $(test_object_DEPENDENCIES) $(EXTRA_test_object_DEPENDENCIES) 
Packit 874993
	@rm -f test-object$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_object_OBJECTS) $(test_object_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-ot-math$(EXEEXT): $(test_ot_math_OBJECTS) $(test_ot_math_DEPENDENCIES) $(EXTRA_test_ot_math_DEPENDENCIES) 
Packit 874993
	@rm -f test-ot-math$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_ot_math_OBJECTS) $(test_ot_math_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-ot-tag$(EXEEXT): $(test_ot_tag_OBJECTS) $(test_ot_tag_DEPENDENCIES) $(EXTRA_test_ot_tag_DEPENDENCIES) 
Packit 874993
	@rm -f test-ot-tag$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_ot_tag_OBJECTS) $(test_ot_tag_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-set$(EXEEXT): $(test_set_OBJECTS) $(test_set_DEPENDENCIES) $(EXTRA_test_set_DEPENDENCIES) 
Packit 874993
	@rm -f test-set$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_set_OBJECTS) $(test_set_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-shape$(EXEEXT): $(test_shape_OBJECTS) $(test_shape_DEPENDENCIES) $(EXTRA_test_shape_DEPENDENCIES) 
Packit 874993
	@rm -f test-shape$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_shape_OBJECTS) $(test_shape_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-unicode$(EXEEXT): $(test_unicode_OBJECTS) $(test_unicode_DEPENDENCIES) $(EXTRA_test_unicode_DEPENDENCIES) 
Packit 874993
	@rm -f test-unicode$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_unicode_OBJECTS) $(test_unicode_LDADD) $(LIBS)
Packit 874993
Packit 874993
test-version$(EXEEXT): $(test_version_OBJECTS) $(test_version_DEPENDENCIES) $(EXTRA_test_version_DEPENDENCIES) 
Packit 874993
	@rm -f test-version$(EXEEXT)
Packit 874993
	$(AM_V_CCLD)$(LINK) $(test_version_OBJECTS) $(test_version_LDADD) $(LIBS)
Packit 874993
Packit 874993
mostlyclean-compile:
Packit 874993
	-rm -f *.$(OBJEXT)
Packit 874993
Packit 874993
distclean-compile:
Packit 874993
	-rm -f *.tab.c
Packit 874993
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-blob.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-buffer.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-common.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-font.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-object.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-ot-tag.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-set.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-shape.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-version.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_c-test-c.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_cplusplus-test-cplusplus.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ot_math-test-ot-math.Po@am__quote@ # am--include-marker
Packit Service 688f9c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_unicode-test-unicode.Po@am__quote@ # am--include-marker
Packit Service 688f9c
Packit Service 688f9c
$(am__depfiles_remade):
Packit Service 688f9c
	@$(MKDIR_P) $(@D)
Packit Service 688f9c
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
Packit Service 688f9c
Packit Service 688f9c
am--depfiles: $(am__depfiles_remade)
Packit 874993
Packit 874993
.c.o:
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
Packit 874993
Packit 874993
.c.obj:
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
Packit 874993
Packit 874993
.c.lo:
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
Packit 874993
Packit 874993
test_c-test-c.o: test-c.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_c_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_c-test-c.o -MD -MP -MF $(DEPDIR)/test_c-test-c.Tpo -c -o test_c-test-c.o `test -f 'test-c.c' || echo '$(srcdir)/'`test-c.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_c-test-c.Tpo $(DEPDIR)/test_c-test-c.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-c.c' object='test_c-test-c.o' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_c_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_c-test-c.o `test -f 'test-c.c' || echo '$(srcdir)/'`test-c.c
Packit 874993
Packit 874993
test_c-test-c.obj: test-c.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_c_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_c-test-c.obj -MD -MP -MF $(DEPDIR)/test_c-test-c.Tpo -c -o test_c-test-c.obj `if test -f 'test-c.c'; then $(CYGPATH_W) 'test-c.c'; else $(CYGPATH_W) '$(srcdir)/test-c.c'; fi`
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_c-test-c.Tpo $(DEPDIR)/test_c-test-c.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-c.c' object='test_c-test-c.obj' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_c_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_c-test-c.obj `if test -f 'test-c.c'; then $(CYGPATH_W) 'test-c.c'; else $(CYGPATH_W) '$(srcdir)/test-c.c'; fi`
Packit 874993
Packit 874993
test_ot_math-test-ot-math.o: test-ot-math.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_ot_math_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_ot_math-test-ot-math.o -MD -MP -MF $(DEPDIR)/test_ot_math-test-ot-math.Tpo -c -o test_ot_math-test-ot-math.o `test -f 'test-ot-math.c' || echo '$(srcdir)/'`test-ot-math.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_ot_math-test-ot-math.Tpo $(DEPDIR)/test_ot_math-test-ot-math.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-ot-math.c' object='test_ot_math-test-ot-math.o' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_ot_math_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_ot_math-test-ot-math.o `test -f 'test-ot-math.c' || echo '$(srcdir)/'`test-ot-math.c
Packit 874993
Packit 874993
test_ot_math-test-ot-math.obj: test-ot-math.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_ot_math_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_ot_math-test-ot-math.obj -MD -MP -MF $(DEPDIR)/test_ot_math-test-ot-math.Tpo -c -o test_ot_math-test-ot-math.obj `if test -f 'test-ot-math.c'; then $(CYGPATH_W) 'test-ot-math.c'; else $(CYGPATH_W) '$(srcdir)/test-ot-math.c'; fi`
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_ot_math-test-ot-math.Tpo $(DEPDIR)/test_ot_math-test-ot-math.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-ot-math.c' object='test_ot_math-test-ot-math.obj' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_ot_math_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_ot_math-test-ot-math.obj `if test -f 'test-ot-math.c'; then $(CYGPATH_W) 'test-ot-math.c'; else $(CYGPATH_W) '$(srcdir)/test-ot-math.c'; fi`
Packit 874993
Packit 874993
test_unicode-test-unicode.o: test-unicode.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_unicode_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_unicode-test-unicode.o -MD -MP -MF $(DEPDIR)/test_unicode-test-unicode.Tpo -c -o test_unicode-test-unicode.o `test -f 'test-unicode.c' || echo '$(srcdir)/'`test-unicode.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_unicode-test-unicode.Tpo $(DEPDIR)/test_unicode-test-unicode.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-unicode.c' object='test_unicode-test-unicode.o' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_unicode_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_unicode-test-unicode.o `test -f 'test-unicode.c' || echo '$(srcdir)/'`test-unicode.c
Packit 874993
Packit 874993
test_unicode-test-unicode.obj: test-unicode.c
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_unicode_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_unicode-test-unicode.obj -MD -MP -MF $(DEPDIR)/test_unicode-test-unicode.Tpo -c -o test_unicode-test-unicode.obj `if test -f 'test-unicode.c'; then $(CYGPATH_W) 'test-unicode.c'; else $(CYGPATH_W) '$(srcdir)/test-unicode.c'; fi`
Packit 874993
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_unicode-test-unicode.Tpo $(DEPDIR)/test_unicode-test-unicode.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-unicode.c' object='test_unicode-test-unicode.obj' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_unicode_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_unicode-test-unicode.obj `if test -f 'test-unicode.c'; then $(CYGPATH_W) 'test-unicode.c'; else $(CYGPATH_W) '$(srcdir)/test-unicode.c'; fi`
Packit 874993
Packit 874993
.cc.o:
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
Packit 874993
Packit 874993
.cc.obj:
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
Packit 874993
Packit 874993
.cc.lo:
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
Packit 874993
Packit 874993
test_cplusplus-test-cplusplus.o: test-cplusplus.cc
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_cplusplus_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_cplusplus-test-cplusplus.o -MD -MP -MF $(DEPDIR)/test_cplusplus-test-cplusplus.Tpo -c -o test_cplusplus-test-cplusplus.o `test -f 'test-cplusplus.cc' || echo '$(srcdir)/'`test-cplusplus.cc
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_cplusplus-test-cplusplus.Tpo $(DEPDIR)/test_cplusplus-test-cplusplus.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test-cplusplus.cc' object='test_cplusplus-test-cplusplus.o' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_cplusplus_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_cplusplus-test-cplusplus.o `test -f 'test-cplusplus.cc' || echo '$(srcdir)/'`test-cplusplus.cc
Packit 874993
Packit 874993
test_cplusplus-test-cplusplus.obj: test-cplusplus.cc
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_cplusplus_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_cplusplus-test-cplusplus.obj -MD -MP -MF $(DEPDIR)/test_cplusplus-test-cplusplus.Tpo -c -o test_cplusplus-test-cplusplus.obj `if test -f 'test-cplusplus.cc'; then $(CYGPATH_W) 'test-cplusplus.cc'; else $(CYGPATH_W) '$(srcdir)/test-cplusplus.cc'; fi`
Packit 874993
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_cplusplus-test-cplusplus.Tpo $(DEPDIR)/test_cplusplus-test-cplusplus.Po
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test-cplusplus.cc' object='test_cplusplus-test-cplusplus.obj' libtool=no @AMDEPBACKSLASH@
Packit 874993
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
Packit 874993
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_cplusplus_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_cplusplus-test-cplusplus.obj `if test -f 'test-cplusplus.cc'; then $(CYGPATH_W) 'test-cplusplus.cc'; else $(CYGPATH_W) '$(srcdir)/test-cplusplus.cc'; fi`
Packit 874993
Packit 874993
mostlyclean-libtool:
Packit 874993
	-rm -f *.lo
Packit 874993
Packit 874993
clean-libtool:
Packit 874993
	-rm -rf .libs _libs
Packit 874993
Packit 874993
ID: $(am__tagged_files)
Packit 874993
	$(am__define_uniq_tagged_files); mkid -fID $$unique
Packit 874993
tags: tags-am
Packit 874993
TAGS: tags
Packit 874993
Packit 874993
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit 874993
	set x; \
Packit 874993
	here=`pwd`; \
Packit 874993
	$(am__define_uniq_tagged_files); \
Packit 874993
	shift; \
Packit 874993
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
Packit 874993
	  test -n "$$unique" || unique=$$empty_fix; \
Packit 874993
	  if test $$# -gt 0; then \
Packit 874993
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit 874993
	      "$$@" $$unique; \
Packit 874993
	  else \
Packit 874993
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit 874993
	      $$unique; \
Packit 874993
	  fi; \
Packit 874993
	fi
Packit 874993
ctags: ctags-am
Packit 874993
Packit 874993
CTAGS: ctags
Packit 874993
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit 874993
	$(am__define_uniq_tagged_files); \
Packit 874993
	test -z "$(CTAGS_ARGS)$$unique" \
Packit 874993
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
Packit 874993
	     $$unique
Packit 874993
Packit 874993
GTAGS:
Packit 874993
	here=`$(am__cd) $(top_builddir) && pwd` \
Packit 874993
	  && $(am__cd) $(top_srcdir) \
Packit 874993
	  && gtags -i $(GTAGS_ARGS) "$$here"
Packit 874993
cscopelist: cscopelist-am
Packit 874993
Packit 874993
cscopelist-am: $(am__tagged_files)
Packit 874993
	list='$(am__tagged_files)'; \
Packit 874993
	case "$(srcdir)" in \
Packit 874993
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
Packit 874993
	  *) sdir=$(subdir)/$(srcdir) ;; \
Packit 874993
	esac; \
Packit 874993
	for i in $$list; do \
Packit 874993
	  if test -f "$$i"; then \
Packit 874993
	    echo "$(subdir)/$$i"; \
Packit 874993
	  else \
Packit 874993
	    echo "$$sdir/$$i"; \
Packit 874993
	  fi; \
Packit 874993
	done >> $(top_builddir)/cscope.files
Packit 874993
Packit 874993
distclean-tags:
Packit 874993
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
Packit 874993
Packit 874993
# Recover from deleted '.trs' file; this should ensure that
Packit 874993
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
Packit 874993
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
Packit 874993
# to avoid problems with "make -n".
Packit 874993
.log.trs:
Packit 874993
	rm -f $< $@
Packit 874993
	$(MAKE) $(AM_MAKEFLAGS) $<
Packit 874993
Packit 874993
# Leading 'am--fnord' is there to ensure the list of targets does not
Packit 874993
# expand to empty, as could happen e.g. with make check TESTS=''.
Packit 874993
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
Packit 874993
am--force-recheck:
Packit 874993
	@:
Packit 874993
Packit 874993
$(TEST_SUITE_LOG): $(TEST_LOGS)
Packit 874993
	@$(am__set_TESTS_bases); \
Packit 874993
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
Packit 874993
	redo_bases=`for i in $$bases; do \
Packit 874993
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
Packit 874993
	            done`; \
Packit 874993
	if test -n "$$redo_bases"; then \
Packit 874993
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
Packit 874993
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
Packit 874993
	  if $(am__make_dryrun); then :; else \
Packit 874993
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
Packit 874993
	  fi; \
Packit 874993
	fi; \
Packit 874993
	if test -n "$$am__remaking_logs"; then \
Packit 874993
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
Packit 874993
	       "recursion detected" >&2; \
Packit Service 688f9c
	elif test -n "$$redo_logs"; then \
Packit 874993
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
Packit 874993
	fi; \
Packit 874993
	if $(am__make_dryrun); then :; else \
Packit 874993
	  st=0;  \
Packit 874993
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
Packit 874993
	  for i in $$redo_bases; do \
Packit 874993
	    test -f $$i.trs && test -r $$i.trs \
Packit 874993
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
Packit 874993
	    test -f $$i.log && test -r $$i.log \
Packit 874993
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
Packit 874993
	  done; \
Packit 874993
	  test $$st -eq 0 || exit 1; \
Packit 874993
	fi
Packit 874993
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
Packit 874993
	ws='[ 	]'; \
Packit 874993
	results=`for b in $$bases; do echo $$b.trs; done`; \
Packit 874993
	test -n "$$results" || results=/dev/null; \
Packit 874993
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
Packit 874993
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
Packit 874993
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
Packit 874993
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
Packit 874993
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
Packit 874993
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
Packit 874993
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
Packit 874993
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
Packit 874993
	  success=true; \
Packit 874993
	else \
Packit 874993
	  success=false; \
Packit 874993
	fi; \
Packit 874993
	br='==================='; br=$$br$$br$$br$$br; \
Packit 874993
	result_count () \
Packit 874993
	{ \
Packit 874993
	    if test x"$$1" = x"--maybe-color"; then \
Packit 874993
	      maybe_colorize=yes; \
Packit 874993
	    elif test x"$$1" = x"--no-color"; then \
Packit 874993
	      maybe_colorize=no; \
Packit 874993
	    else \
Packit 874993
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
Packit 874993
	    fi; \
Packit 874993
	    shift; \
Packit 874993
	    desc=$$1 count=$$2; \
Packit 874993
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
Packit 874993
	      color_start=$$3 color_end=$$std; \
Packit 874993
	    else \
Packit 874993
	      color_start= color_end=; \
Packit 874993
	    fi; \
Packit 874993
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
Packit 874993
	}; \
Packit 874993
	create_testsuite_report () \
Packit 874993
	{ \
Packit 874993
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
Packit 874993
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
Packit 874993
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
Packit 874993
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
Packit 874993
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
Packit 874993
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
Packit 874993
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
Packit 874993
	}; \
Packit 874993
	{								\
Packit 874993
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
Packit 874993
	    $(am__rst_title);						\
Packit 874993
	  create_testsuite_report --no-color;				\
Packit 874993
	  echo;								\
Packit 874993
	  echo ".. contents:: :depth: 2";				\
Packit 874993
	  echo;								\
Packit 874993
	  for b in $$bases; do echo $$b; done				\
Packit 874993
	    | $(am__create_global_log);					\
Packit 874993
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
Packit 874993
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
Packit 874993
	if $$success; then						\
Packit 874993
	  col="$$grn";							\
Packit 874993
	 else								\
Packit 874993
	  col="$$red";							\
Packit 874993
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
Packit 874993
	fi;								\
Packit 874993
	echo "$${col}$$br$${std}"; 					\
Packit 874993
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
Packit 874993
	echo "$${col}$$br$${std}"; 					\
Packit 874993
	create_testsuite_report --maybe-color;				\
Packit 874993
	echo "$$col$$br$$std";						\
Packit 874993
	if $$success; then :; else					\
Packit 874993
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
Packit 874993
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
Packit 874993
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
Packit 874993
	  fi;								\
Packit 874993
	  echo "$$col$$br$$std";					\
Packit 874993
	fi;								\
Packit 874993
	$$success || exit 1
Packit 874993
Packit Service 688f9c
check-TESTS: $(check_PROGRAMS)
Packit 874993
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
Packit 874993
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
Packit 874993
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 874993
	@set +e; $(am__set_TESTS_bases); \
Packit 874993
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit 874993
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
Packit 874993
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
Packit 874993
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
Packit 874993
	exit $$?;
Packit 874993
recheck: all $(check_PROGRAMS)
Packit 874993
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 874993
	@set +e; $(am__set_TESTS_bases); \
Packit 874993
	bases=`for i in $$bases; do echo $$i; done \
Packit 874993
	         | $(am__list_recheck_tests)` || exit 1; \
Packit 874993
	log_list=`for i in $$bases; do echo $$i.log; done`; \
Packit 874993
	log_list=`echo $$log_list`; \
Packit 874993
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
Packit 874993
	        am__force_recheck=am--force-recheck \
Packit 874993
	        TEST_LOGS="$$log_list"; \
Packit 874993
	exit $$?
Packit 874993
test-blob.log: test-blob$(EXEEXT)
Packit 874993
	@p='test-blob$(EXEEXT)'; \
Packit 874993
	b='test-blob'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-buffer.log: test-buffer$(EXEEXT)
Packit 874993
	@p='test-buffer$(EXEEXT)'; \
Packit 874993
	b='test-buffer'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-common.log: test-common$(EXEEXT)
Packit 874993
	@p='test-common$(EXEEXT)'; \
Packit 874993
	b='test-common'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-font.log: test-font$(EXEEXT)
Packit 874993
	@p='test-font$(EXEEXT)'; \
Packit 874993
	b='test-font'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-object.log: test-object$(EXEEXT)
Packit 874993
	@p='test-object$(EXEEXT)'; \
Packit 874993
	b='test-object'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-set.log: test-set$(EXEEXT)
Packit 874993
	@p='test-set$(EXEEXT)'; \
Packit 874993
	b='test-set'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-shape.log: test-shape$(EXEEXT)
Packit 874993
	@p='test-shape$(EXEEXT)'; \
Packit 874993
	b='test-shape'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-unicode.log: test-unicode$(EXEEXT)
Packit 874993
	@p='test-unicode$(EXEEXT)'; \
Packit 874993
	b='test-unicode'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-version.log: test-version$(EXEEXT)
Packit 874993
	@p='test-version$(EXEEXT)'; \
Packit 874993
	b='test-version'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-ot-tag.log: test-ot-tag$(EXEEXT)
Packit 874993
	@p='test-ot-tag$(EXEEXT)'; \
Packit 874993
	b='test-ot-tag'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-ot-math.log: test-ot-math$(EXEEXT)
Packit 874993
	@p='test-ot-math$(EXEEXT)'; \
Packit 874993
	b='test-ot-math'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-c.log: test-c$(EXEEXT)
Packit 874993
	@p='test-c$(EXEEXT)'; \
Packit 874993
	b='test-c'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
test-cplusplus.log: test-cplusplus$(EXEEXT)
Packit 874993
	@p='test-cplusplus$(EXEEXT)'; \
Packit 874993
	b='test-cplusplus'; \
Packit 874993
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
.test.log:
Packit 874993
	@p='$<'; \
Packit 874993
	$(am__set_b); \
Packit 874993
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit 874993
	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit 874993
	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
@am__EXEEXT_TRUE@.test$(EXEEXT).log:
Packit 874993
@am__EXEEXT_TRUE@	@p='$<'; \
Packit 874993
@am__EXEEXT_TRUE@	$(am__set_b); \
Packit 874993
@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
Packit 874993
@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
Packit 874993
@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
Packit 874993
@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
Packit 874993
Packit Service 688f9c
distdir: $(BUILT_SOURCES)
Packit Service 688f9c
	$(MAKE) $(AM_MAKEFLAGS) distdir-am
Packit Service 688f9c
Packit Service 688f9c
distdir-am: $(DISTFILES)
Packit 874993
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit 874993
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit 874993
	list='$(DISTFILES)'; \
Packit 874993
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit 874993
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit 874993
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit 874993
	case $$dist_files in \
Packit 874993
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit 874993
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit 874993
			   sort -u` ;; \
Packit 874993
	esac; \
Packit 874993
	for file in $$dist_files; do \
Packit 874993
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit 874993
	  if test -d $$d/$$file; then \
Packit 874993
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit 874993
	    if test -d "$(distdir)/$$file"; then \
Packit 874993
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit 874993
	    fi; \
Packit 874993
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit 874993
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit 874993
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit 874993
	    fi; \
Packit 874993
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit 874993
	  else \
Packit 874993
	    test -f "$(distdir)/$$file" \
Packit 874993
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit 874993
	    || exit 1; \
Packit 874993
	  fi; \
Packit 874993
	done
Packit 874993
check-am: all-am
Packit 874993
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
Packit 874993
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
Packit 874993
check: check-am
Packit 874993
all-am: Makefile $(PROGRAMS)
Packit 874993
installdirs:
Packit 874993
install: install-am
Packit 874993
install-exec: install-exec-am
Packit 874993
install-data: install-data-am
Packit 874993
uninstall: uninstall-am
Packit 874993
Packit 874993
install-am: all-am
Packit 874993
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit 874993
Packit 874993
installcheck: installcheck-am
Packit 874993
install-strip:
Packit 874993
	if test -z '$(STRIP)'; then \
Packit 874993
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit 874993
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit 874993
	      install; \
Packit 874993
	else \
Packit 874993
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit 874993
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit 874993
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit 874993
	fi
Packit 874993
mostlyclean-generic:
Packit 874993
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
Packit 874993
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
Packit 874993
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
Packit 874993
Packit 874993
clean-generic:
Packit 874993
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
Packit 874993
Packit 874993
distclean-generic:
Packit 874993
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit 874993
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit 874993
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
Packit 874993
Packit 874993
maintainer-clean-generic:
Packit 874993
	@echo "This command is intended for maintainers to use"
Packit 874993
	@echo "it deletes files that may require special tools to rebuild."
Packit 874993
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
Packit 874993
clean: clean-am
Packit 874993
Packit 874993
clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
Packit 874993
	clean-noinstPROGRAMS mostlyclean-am
Packit 874993
Packit 874993
distclean: distclean-am
Packit Service 688f9c
		-rm -f ./$(DEPDIR)/test-blob.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-buffer.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-common.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-font.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-object.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-ot-tag.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-set.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-shape.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-version.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_c-test-c.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_cplusplus-test-cplusplus.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_ot_math-test-ot-math.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_unicode-test-unicode.Po
Packit 874993
	-rm -f Makefile
Packit 874993
distclean-am: clean-am distclean-compile distclean-generic \
Packit 874993
	distclean-tags
Packit 874993
Packit 874993
dvi: dvi-am
Packit 874993
Packit 874993
dvi-am:
Packit 874993
Packit 874993
html: html-am
Packit 874993
Packit 874993
html-am:
Packit 874993
Packit 874993
info: info-am
Packit 874993
Packit 874993
info-am:
Packit 874993
Packit 874993
install-data-am:
Packit 874993
Packit 874993
install-dvi: install-dvi-am
Packit 874993
Packit 874993
install-dvi-am:
Packit 874993
Packit 874993
install-exec-am:
Packit 874993
Packit 874993
install-html: install-html-am
Packit 874993
Packit 874993
install-html-am:
Packit 874993
Packit 874993
install-info: install-info-am
Packit 874993
Packit 874993
install-info-am:
Packit 874993
Packit 874993
install-man:
Packit 874993
Packit 874993
install-pdf: install-pdf-am
Packit 874993
Packit 874993
install-pdf-am:
Packit 874993
Packit 874993
install-ps: install-ps-am
Packit 874993
Packit 874993
install-ps-am:
Packit 874993
Packit 874993
installcheck-am:
Packit 874993
Packit 874993
maintainer-clean: maintainer-clean-am
Packit Service 688f9c
		-rm -f ./$(DEPDIR)/test-blob.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-buffer.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-common.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-font.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-object.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-ot-tag.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-set.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-shape.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test-version.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_c-test-c.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_cplusplus-test-cplusplus.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_ot_math-test-ot-math.Po
Packit Service 688f9c
	-rm -f ./$(DEPDIR)/test_unicode-test-unicode.Po
Packit 874993
	-rm -f Makefile
Packit 874993
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit 874993
Packit 874993
mostlyclean: mostlyclean-am
Packit 874993
Packit 874993
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
Packit 874993
	mostlyclean-libtool
Packit 874993
Packit 874993
pdf: pdf-am
Packit 874993
Packit 874993
pdf-am:
Packit 874993
Packit 874993
ps: ps-am
Packit 874993
Packit 874993
ps-am:
Packit 874993
Packit 874993
uninstall-am:
Packit 874993
Packit 874993
.MAKE: check-am install-am install-strip
Packit 874993
Packit Service 688f9c
.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
Packit Service 688f9c
	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
Packit 874993
	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
Packit 874993
	distclean-compile distclean-generic distclean-libtool \
Packit 874993
	distclean-tags distdir dvi dvi-am html html-am info info-am \
Packit 874993
	install install-am install-data install-data-am install-dvi \
Packit 874993
	install-dvi-am install-exec install-exec-am install-html \
Packit 874993
	install-html-am install-info install-info-am install-man \
Packit 874993
	install-pdf install-pdf-am install-ps install-ps-am \
Packit 874993
	install-strip installcheck installcheck-am installdirs \
Packit 874993
	maintainer-clean maintainer-clean-generic mostlyclean \
Packit 874993
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
Packit 874993
	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
Packit 874993
	uninstall-am
Packit 874993
Packit Service 688f9c
.PRECIOUS: Makefile
Packit Service 688f9c
Packit 874993
Packit 874993
# Convenience targets:
Packit 874993
lib:
Packit 874993
	@$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
Packit 874993
Packit 874993
# check-tool: Run tests under $(TOOL)
Packit 874993
@HAVE_GLIB_TRUE@check-tool:
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_at)$(MAKE) $(AM_MAKEFLAGS) check \
Packit 874993
@HAVE_GLIB_TRUE@	TESTS_ENVIRONMENT='$(TESTS_ENVIRONMENT) $(top_builddir)/libtool --mode=execute \
Packit 874993
@HAVE_GLIB_TRUE@	env $(TOOL)'
Packit 874993
# check-tool-raw: Run tests under $(TOOL), but don't run under libtool
Packit 874993
@HAVE_GLIB_TRUE@check-tool-raw:
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_at)$(MAKE) $(AM_MAKEFLAGS) check \
Packit 874993
@HAVE_GLIB_TRUE@	TESTS_ENVIRONMENT='$(TESTS_ENVIRONMENT) \
Packit 874993
@HAVE_GLIB_TRUE@	env $(TOOL)'
Packit 874993
@HAVE_GLIB_TRUE@check-gtester:
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_at)$(MAKE) $(AM_MAKEFLGS) check-tool-raw TOOL="$(GTESTER) --verbose --keep-going"
Packit 874993
@HAVE_GLIB_TRUE@	$(EXTRA_VALGRIND_FLAGS)
Packit 874993
# TODO: The following check does not fail if valgrind finds error.  It should.
Packit 874993
@HAVE_GLIB_TRUE@check-valgrind:
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_at)$(MAKE) $(AM_MAKEFLGS) check-tool TOOL="valgrind $(VALGRIND_FLAGS)" \
Packit 874993
@HAVE_GLIB_TRUE@	2>&1 | tee log-valgrind.txt $(valgrind_verbose)
Packit 874993
Packit 874993
# check-symbols: Finds untested API symbols
Packit 874993
@HAVE_GLIB_TRUE@symbols-tested.txt: $(TEST_PROGS)
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_GEN)$(top_builddir)/libtool --mode=execute nm $^ \
Packit 874993
@HAVE_GLIB_TRUE@	| grep ' U hb_' | sed 's/.* U hb_/hb_/' \
Packit 874993
@HAVE_GLIB_TRUE@	| sort | uniq > $@.tmp && mv $@.tmp $@
Packit 874993
@HAVE_GLIB_TRUE@symbols-exported.txt: $(top_builddir)/src/.libs/libharfbuzz.so
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_GEN)$(top_builddir)/libtool --mode=execute nm $^ \
Packit 874993
@HAVE_GLIB_TRUE@	| grep ' T ' | sed 's/.* T //' | grep -v '^\(_init\|_fini\)$$' \
Packit 874993
@HAVE_GLIB_TRUE@	| sort | uniq > $@.tmp && mv $@.tmp $@
Packit 874993
@HAVE_GLIB_TRUE@symbols-untested.txt: symbols-tested.txt symbols-exported.txt
Packit 874993
@HAVE_GLIB_TRUE@	$(AM_V_GEN)diff $^ > $@.tmp; mv $@.tmp $@
Packit 874993
@HAVE_GLIB_TRUE@check-symbols: symbols-untested.txt
Packit 874993
@HAVE_GLIB_TRUE@	@! cat $^ | grep .
Packit 874993
Packit 874993
@HAVE_GLIB_FALSE@check-am: err-glib
Packit 874993
@HAVE_GLIB_FALSE@err-glib:
Packit 874993
@HAVE_GLIB_FALSE@	@echo "You need to have glib support enabled to run the tests"
Packit 874993
@HAVE_GLIB_FALSE@	@exit 77
Packit 874993
Packit 874993
.PHONY: check-symbols check-tool check-valgrind
Packit 874993
Packit 874993
-include $(top_srcdir)/git.mk
Packit 874993
Packit 874993
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit 874993
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit 874993
.NOEXPORT: